QGIS Application - Bug report #13459
QGIS Server WMS GetPrint request don't respect SELECTION parameter
2015-09-30 02:12 AM - Marcin Gontarek

Status: Closed

Priority: Normal

Assignee: René-Luc RelLuc

Category: QGIS Server

Affected QGIS version:2.10.1 Regression?: Yes
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21506
Description

Standard GetMap request:

http://gontar.local/cgi-bin/qgis_mapserv.fcgi?MAP=/home/gontar/qgis_server/test_proj.qgs&
SERVICE=WMS&

VERSION=1.3.0&

REQUEST=GetMap&

CRS=EPSG:4326&

BBOX=1,1,2,2&

FORMAT=image/png&

LAYERS=polygons&

WIDTH=500&

HEIGHT=500

Vaild image
result: http://imgur.com/ykR3VgD

Valid GetMap request with SELECTION parameter:

http://gontar.local/cgi-bin/qgis_mapserv.fcgi?MAP=/home/gontar/qgis_server/test_proj.qgs&
SERVICE=WMS&
VERSION=1.3.0&
REQUEST=GetMap&
CRS=EPSG:4326&
BBOX=1,1,2,2&
FORMAT=image/png&
LAYERS=polygons&
WIDTH=500&
HEIGHT=500&
SELECTION=polygons:0

Valid image
result: http://imgur.com/gGc98MB

GetPrint request without SELECTION parameter:

http://gontar.local/cgi-bin/qgis_mapserv.fcgi?MAP=/home/gontar/qgis_server/test_proj.qgs&
SERVICE=WMS&

VERSION=1.3.0&

REQUEST=GetPrint&

CRS=EPSG:4326&

mapO0:EXTENT=1,1,2,2&

FORMAT=image/png&

LAYERS=polygons&

TEMPLATE=Comp1
http://imgur.com/ykR3VgD
http://imgur.com/gGc98MB

Valid image
result: http://imgur.com/xjvEHww

GetPrint request with SELECTION parameter:

http://gontar.local/cgi-bin/qgis_mapserv.fcgi?MAP=/home/gontar/qgis_server/test_proj.qgs&
SERVICE=WMS&

VERSION=1.3.0&

REQUEST=GetPrint&

CRS=EPSG:4326&

map0:EXTENT=1,1,2,2&

FORMAT=image/png&

LAYERS=polygons&

TEMPLATE=Comp1&

SELECTION=polygons:0

Adding SELECTION parameter doesn't make difference
result: http://imgur.com/tauH5za

Project files and images uploaded to imgur

Tested on versions: 2.8.3, 2.10.1, master

Associated revisions

Revision 268b9ac6 - 2018-06-06 11:21 AM - René-Luc ReLuc

[Server] Reactivate the capability to print selection with Server 2.18

The capability to print selection has been removed by the commit aaa7003 to
prevent accidental selections showing in exports from composer.

It is reactivated only for QGIS Server.

fixes #13459 QGIS Server WMS GetPrint request don't respect SELECTION parameter

Revision 74f27855 - 2018-10-25 11:33 AM - René-Luc ReLuc

[Server] Reactivate the capability to print selection with Server 3.4

The capability to print selection has been removed by the commit aaa7003 to

prevent accidental selections showing in exports from composer.

It is reactivated only for QGIS Server.

Fixes #13459 QGIS Server WMS GetPrint request don't respect SELECTION parameter

It's a forward porting of #7185

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2018-06-05 06:55 PM - René-Luc ReLuc
http://imgur.com/tauH5za

- Pull Request or Patch supplied changed from No to Yes
- Description updated

- Assignee set to René-Luc RelLuc

- Regression? changed from No to Yes

PR provided [Server] Reactivate the capability to print selection with Server 2.18 https://github.com/qgis/QGIS/pull/7185

#3 - 2018-06-06 11:21 AM - René-Luc ReLuc
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|268b9ac6ec98ef75c41959a7085ab415ba2e1c38.

Files
qgis_server.zip 8.26 KB 2015-09-30 Marcin Gontarek
qgis_server_images.zip 177 KB 2015-09-30 Marcin Gontarek
